Subject: Re: [TLS] New Version Notification for draft-putman-tls-preshared-ecdh-00.txt

From: Tony Putman <[email-masked]>
Date: Fri, 1 Dec 2017 08:49:32 +0000

From: TLS [mailto:[email-masked]] On Behalf Of Katriel Cohn-Gordon
> If you add the fourth (static-static) DH, you should be protected
> against poor generation of ephemeral keys.

Thanks, this sounds like a good idea. It can be precomputed (and stored if
all comms is to a single server) so it doesn't slow down the actual protocol
exchange. 

I added the two static public keys into the premaster calculation as they are
included in the Session Id definition in [Kudla]. I wonder if I can replace them
with the static-static computation, which seems (to me) to offer the same
protection.
-- 
Tony

Dyson Technology Limited, company number 01959090, Tetbury Hill, Malmesbury, SN16 0RP, UK.
This message is intended solely for the addressee and may contain confidential information. If you have received this message in error, please immediately and permanently delete it, and do not use, copy or disclose the information contained in this message or in any attachment.
Dyson may monitor email traffic data and content for security & training.